Subject: Re: [java3d] components inside 3D
From: Emmanuel Pirsch <[email-masked]>
To: "Casteel, Don" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Mon, 01 Feb 1999 09:33:04 -0500

Hi Don,

I've begin working on something similar. I've desined a proof-of-concept for
displaying lightweight components (Swing components for example) onto a Texture,
then applying that texture to a box faces.

You can download the source code at the following site :
http://welcome.to/javatips/

The code is at an early stage. My next focus is to add the ability to respond to
events when for example a user click somewhere on the box face to generate the
event to the appropriate component.

For heavyweight component, this would be very difficult, because there are
rendered by native code, it would be a lot harder to grab the image to create a
texture with it.

  SeeU!!

"Casteel, Don" wrote:

> This may be a dumb question, has anyone found a way to use the regular awt
> components inside a 3D world?
>
> I'm thinking of something like taking the user interface frame from an
> existing class or applet and attaching it to a face of a Box. The frame
> could contain any of the standard container objects or components including
> Labels, Buttons, Panels, TextFields, Canvas, even another Canvas3D.
> (hmmm.... non-linear recursive worlds?)
>
> A lot of these components already have a pseudo 3D look to them anyway.
>
> I've never heard of anything like this, and if it isn't possible, it's no
> big deal. It just seems to me that it should be possible, a window on a
> monitor is just a collection of pixels, not to different from an image file,
> a button is pixels with behaviors attached and some way to sense the mouse.
>
> Seems if java could make these things work, and simple to implement,
> developing interactive worlds could be a lot easier.
>
> Anyway.............. just thinking out loud   : )
>
> Don Casteel
>
> Manufacturing Engineer
> TEXTRON Automotive Company -- Athens Operations
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>         Voice:  (423)744-1109
>         Fax:    (423)744-1112
>         Pager:  (423)744-1129  -- 109
>                 Internet:       [email-masked]
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>
> =====================================================================
> To subscribe/unsubscribe, send mail to [email-masked]
> Java 3D Home Page: http://java.sun.com/products/java-media/3D/

--
-----
Emmanuel Pirsch
Sun Certified Java Programmer
Unite for Java! - http://www.javalobby.org/
---
"The intuitive mind is a sacred gift and the rational mind is a faithful
servant. We have created a society that honors the servant and has forgotten the
gift."
 - Albert Einstein.